### Method

# Cogl Texture get_components

#### Declaration [src]

    CoglTextureComponents
    cogl_texture_get_components (
      CoglTexture* texture
    )

#### Description [src]

Queries what components the given `texture` stores internally as set via cogl_texture_set_components().

For textures created by the ‘_with_size’ constructors the default is `COGL_TEXTURE_COMPONENTS_RGBA`. The other constructors which take a %CoglBitmap or a data pointer default to the same components as the pixel format of the data.

#### Return value

Type: `CoglTextureComponents`

No description available.